IOSS 2.0

Macros | Functions
Utst_map.C File Reference
`#include <Ioss_ConcreteVariableType.h>`
`#include <Ioss_Field.h>`
`#include <Ioss_Map.h>`
`#include <algorithm>`
`#include <catch.hpp>`
`#include <exception>`
`#include <numeric>`
`#include <random>`
`#include <vector>`
Include dependency graph for Utst_map.C:

## Macros
#define | CATCH_CONFIG_MAIN

## Functions
template<typename INT >
void | initialize_data (std::vector< INT > &init)
template<typename INT >
void | verify_global_to_local (const Ioss::Map &my_map, const std::vector< INT > &init)
template<typename INT >
void | test_reorder (Ioss::Map &my_map, std::vector< INT > &init, size_t offset)
| TEST_CASE ("test random ids", "[random_ids]")
| TEST_CASE ("test sequential map with offset", "[sequential offset]")
| TEST_CASE ("test segmented map creation", "[segment]")
| TEST_CASE ("test reverse segmented map creation", "[reverse segment]")
| TEST_CASE ("test segment gap", "[segment gap]")
| TEST_CASE ("test small reverse", "[small reverse]")
| TEST_CASE ("test small swap front back", "[swap front back]")
| TEST_CASE ("test map_data sequential", "[map_data_seq]")
| TEST_CASE ("test map_data random", "[map_data_ran]")

## Macro Definition Documentation

## ◆ CATCH_CONFIG_MAIN

#define CATCH_CONFIG_MAIN

## Function Documentation

## ◆ initialize_data()

template<typename INT >

void initialize_data | ( | std::vector< INT > & | init | ) |

## ◆ TEST_CASE() [1/9]

TEST_CASE | ( | "test map_data random" | ,
|  | "" | [map_data_ran]
| ) |  |

## ◆ TEST_CASE() [2/9]

TEST_CASE | ( | "test map_data sequential" | ,
|  | "" | [map_data_seq]
| ) |  |

## ◆ TEST_CASE() [3/9]

TEST_CASE | ( | "test random ids" | ,
|  | "" | [random_ids]
| ) |  |

## ◆ TEST_CASE() [4/9]

TEST_CASE | ( | "test reverse segmented map creation" | ,
|  | "" | [reverse segment]
| ) |  |

## ◆ TEST_CASE() [5/9]

TEST_CASE | ( | "test segment gap" | ,
|  | "" | [segment gap]
| ) |  |

## ◆ TEST_CASE() [6/9]

TEST_CASE | ( | "test segmented map creation" | ,
|  | "" | [segment]
| ) |  |

## ◆ TEST_CASE() [7/9]

TEST_CASE | ( | "test sequential map with offset" | ,
|  | "" | [sequential offset]
| ) |  |

## ◆ TEST_CASE() [8/9]

TEST_CASE | ( | "test small reverse" | ,
|  | "" | [small reverse]
| ) |  |

## ◆ TEST_CASE() [9/9]

TEST_CASE | ( | "test small swap front back" | ,
|  | "" | [swap front back]
| ) |  |

## ◆ test_reorder()

template<typename INT >

void test_reorder | ( | Ioss::Map & | my_map,
|  | std::vector< INT > & | init,
|  | size_t | offset
| ) |  |

## ◆ verify_global_to_local()

template<typename INT >

void verify_global_to_local | ( | const Ioss::Map & | my_map,
|  | const std::vector< INT > & | init
| ) |  |